IdenIden Docs
API ReferenceAccounts

List accounts

Returns a paginated list of all accounts managed by Iden in your organization.

GET
/api/accounts/

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Api-Key <your_api_key>

In: header

Query Parameters

app?string

Filter by app external UUID (exact match)

Formatuuid
email?string

Filter by email (partial match)

limit?integer

Number of results to return per page.

offset?integer

The initial index from which to return the results.

status?string

Filter by status (exact match)

  • NEW - Provisioning has not started yet
  • INVITED - User invited, pending acceptance
  • ACTIVE - User is active and has access
  • SUSPENDED - Access disabled
  • INACTIVE - Deleted or exists with no access
Value in"ACTIVE" | "INACTIVE" | "INVITED" | "NEW" | "SUSPENDED"

Response Body

application/json

curl -X GET "https://developer.idenhq.com/org/{tenant_slug}/api/accounts/"
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
      "email": "user@example.com",
      "status": "NEW",
      "app": {
        "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
        "name": "string",
        "connection": {
          "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
          "display_name": "string",
          "unique_identifier": "string"
        }
      }
    }
  ]
}